# BackRaw's Notifications-Script v1

# import important libraries
import cfglib
import es
import gamethread
import playerlib

# setup your own weapon-names (don't rename the lower case ones!!)
new_weapon_names = {'defuser':'Defusual Kit', 'knife':'Knife', 'glock':'Glock 18C', 'usp':'USP .45ACP', 'p228':'P228 (Compact)', 'deagle':'Desert Eagle .50AE', 'fiveseven':'ES Five-Seven', 'elite':'Dual 96G Elite Berettas', 'ak47':'Avtomat Kalashnikova - 47', 'm4a1':'M4A1 Carbine', 'galil':'IMI Galil', 'famas':'FAMAS (Clarion 5.56)', 'sg552':'SG552 Commando', 'aug':'Steyr AUG A1', 'g3sg1':'G3/SG1', 'sg550':'SG-550', 'scout':'Steyr Scout', 'awp':'Artic Warfare Police', 'mp5navy':'MP5-Navy', 'p90':'P90 Personal Defense Weapon', 'tmp':'Steyr Tactical Machine Pistol', 'ump45':'Universal Mashine Pistol', 'mac10':'Ingram MAC-10', 'm249':'M249 Para', 'm3':'M3 90 Super Entry', 'xm1014':'XM1014 (M4 Super 90)', 'hegrenade':'HE-Grenade'}

# setup your own map-names (don't rename the lower case ones!!)
new_map_names = {'de_dust':'Defusal - Dust', 'de_dust2':'Defusal - Dust2', 'de_aztec':'Defusal - Aztec', 'de_cbble':'Defusal - Cobblestone', 'de_chateau':'Defusal - Castle (Chateau)', 'de_piranesi':'Defusal - Piranesi', 'de_train':'Defusal - Train', 'de_tides':'Defusal - Tides', 'de_port':'Defusal - Port', 'de_inferno':'Defusal - Inferno', 'de_nuke':'Defusal - Nuke', 'de_prodigy':'Defusal - Prodigy', 'cs_italy':'Hostage Rescue - Italy', 'cs_office':'Hostage Rescue - Office', 'cs_havana':'Hostage Rescue - Havana', 'cs_compound':'Hostage Rescue - Compound', 'cs_assault':'Hostage Rescue - Assault', 'cs_militia':'Hostage Rescue - Militia'}

# announce your website at every new round
def round_start(ev):
    config = cfglib.AddonCFG(es.getAddonPath("notifications") + "/notifications.cfg")
    config.write()
    # change to your website
    website = config.cvar('website', 'www.rofl.com')
    config.execute()
    es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenVisit #green%s #lightgreen:)' % website)

# annouce that a new player is joining the game
def player_connect(ev):
    es.msg('#multi', '#green[#lightgreenNotifications#green] %s #lightgreenis joining the game...' % ev['name'])

# announce that the new player has joined the game
def palyer_activate(ev):
    es.msg('#mutli', '#green[#lightgreenNotifications#green] %s #lightgreenhas joined the game' % ev['es_username'])

# display the map if a player types in map and whether Friendly Fire is or or not. (not up to date)
def player_say(ev):
    map_name = str(es.ServerVar('eventscripts_currentmap'))
    if ev['text'] == 'map':
        es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenCurrent map: #green%s' % new_map_names.get(map_name, map_name))

    if ev['text'] == 'ff':
        if es.ServerVar('mp_friendlyfire') == '1':
            es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenOn')
        else:
            es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenOff')
    if ev['text'] == '!rates':
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenYour rates are...')
        player_rate = es.getclientvar(ev['userid'], 'rate')
        player_cmdrate = es.getclientvar(ev['userid'], 'cl_cmdrate')
        player_updaterate = es.getclientvar(ev['userid'], 'cl_updaterate')
        gamethread.delayed(.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenrate: #green%s' % player_rate))
        gamethread.delayed(.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_cmdrate: #green%s' % player_cmdrate))
        gamethread.delayed(.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_updaterate: #green%s' % player_updaterate))
    if ev['text'] == 'therates':
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] %s#lightgreen\'s rates are...' % ev['es_username'])
        player_rate = es.getclientvar(ev['userid'], 'rate')
        player_cmdrate = es.getclientvar(ev['userid'], 'cl_cmdrate')
        player_updaterate = es.getclientvar(ev['userid'], 'cl_updaterate')
        gamethread.delayed(.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenrate: #green%s' % player_rate))
        gamethread.delayed(.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_cmdrate: #green%s' % player_cmdrate))
        gamethread.delayed(.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_updaterate: #green%s' % player_updaterate))

def player_hurt(ev):
    # show that you hurt yourself (e.g. with a he grenade)
    if ev['attacker'] == ev['userid']:
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenYou hurt yourself!')
    elif ev['es_userteam'] != ev['es_attackerteam']:
        if ev['health'] < '1':
            # if the player is dead, display "(Username) is dead" istead of "still has HP"
            es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenis dead (Last Hit: #green%s Damage#lightgreen)' % (ev['es_username'], ev['dmg_health']))
        else:
            # show how many der HP the enemy still has left after your hits
            es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenstill has: #green%s HP' % (ev['es_username'], ev['es_userhealth']))                        
    else:
        # show how many HP your teammate still has after your attacking
        es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenTeamMate #green%s #lightgreenstill has: #green%s HP' % (ev['es_username'], ev['es_userhealth']))

def player_death(ev):
    weapon = ev['weapon']
    # which weapon did the attacker kill you with?
    es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenkilled you with #green%s #lightgreenand still has #green%s HP #lightgreenleft' % (ev['es_attackername'], new_weapon_names.get(weapon, weapon), ev['es_attackerhealth']))

def bomb_dropped(ev):
    for userid in playerlib.getUseridList('#t'):
        if ev['es_userhealth'] < '1':
           # notice the team that you lost the bomb because of your death
           es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenlost the #greenbomb #lightgreenbecause of his death' % ev['es_username'])
        else:
           # notice the team that you threw away the bomb
           es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenthrew away the #greenbomb' % ev['es_username'])

def bomb_pickup(ev):
    # notice the team that you picked up the bomb
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenpicked up the #greenbomb' % ev['es_username'])

def bomb_beginplant(ev):
    # notice the team that you're planting the bomb
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenis planting the #greenbomb#lightgreen...' % ev['es_username'])

def bomb_planted(ev):
    # notice the team that you just planted the bomb
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenplanted the #greenbomb' % ev['es_username'])

def bomb_begindefuse(ev):
    # notice the team that you're defusing the bomb
    for userid in playerlib.getUseridList('#ct'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenis defusing the #greenbomb#lightgreen...' % ev['es_username'])

def bomb_defused(ev):
    # notice the team that you just defused the bomb
    for userid in playerlib.getUseridList('#ct'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreendefused the #greenbomb' % ev['es_username'])

def weapon_purchase(ev):
    if ev['weapon'] != 'knife':
        if ev['weapon'] != 'vest':
            if ev['weapon'] != 'vesthelm':
                weapon = ev['weapon']
                es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenYou bought #green%s' % new_weapon_names.get(weapon, weapon))

def player_flashed(ev):
    es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] You\'ve got flashed. The intensity was amounted to #green%s' % ev['alpha'])
    gamethread.delayed(1.3, es.tell, (ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenYou were flashed for #green%s #lightgreenseconds' % ev['duration']))
